ACL_DELETE_ENTRY(3)

NAME
acl_delete_entry - delete an ACL entry

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_delete_entry(acl_t acl, acl_entry_t entry_d);

DESCRIPTION
The acl_delete_entry() function removes the ACL entry indicated by the entry_d descriptor from the ACL pointed to by acl. Any existing ACL entry descriptors that refer to entries in acl other than that referred to by entry_d continue to refer to the same entries. The argument entry_d and any other ACL entry descriptors that refer to the same ACL entry are undefined after this function completes. Any existing ACL pointers that refer to the ACL referred to by acl continue to refer to the ACL.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_delete_entry() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument acl_p is not a valid pointer to an ACL.

    The argument entry_d is not a valid pointer to an ACL entry.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_copy_entry(3), acl_create_entry(3), acl_get_entry(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <a.gruenbacher@bestbits.at>.